#ifndef PAMVMCNDSD_H
#define PAMVMCNDSD_H
#include <iostream>

#include "PamVMCDetectorSD.h"

using std::cout;
using std::endl;

class PamVMCNDSD: public PamVMCDetectorSD{


public:
  PamVMCNDSD():PamVMCDetectorSD("pHitData","NDTI",1000)
{

};


  /*   virtual void FillHit(fin f,TVirtualMC *g){ 

  
     switch(f) {
    case ENTERING:
     
       CleanHit();
      FillVolID();
      InitHit();
    
    default:
     UpdateHit(g);
   
     cout<<"NEW HIT ENTERING OR  INSIDE "<<fnohit<<" PDG="<<fhit.GetPDG()<<" E="<<fhit.GetEREL()<<endl;
     break;      
   }

  switch(f){
  case EXITING:
  ////  // Save hit if energy release is greater than zero 
   if(fhit.GetEREL()){
  if(fdetID->FillVolID()){
  ///  //cout<<"saving"<<fdetID->GetID()<<endl;
  cout<<"NEW HIT EXITING "<<fnohit<<" PDG="<<fhit.GetPDG()<<" E="<<fhit.GetEREL()<<endl;
  	  SaveHit("ND");
  } else {
    cout << "ND FillVolID false" <<endl; 
  }
    }
    break;
  default:
    break;
  }
 }
  */  
  ClassDef(PamVMCNDSD,1)

    };

#endif // PAMVMCNDSD_H
